Bug 1257042 - RequestHeaderIdentityProvider promotes Kerberos/mod_auth_kerb, GSSAPI/mod_auth_gssapi is preferred
RequestHeaderIdentityProvider promotes Kerberos/mod_auth_kerb, GSSAPI/mod_aut...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.0.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Vikram Goyal
Vikram Goyal
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-26 03:17 EDT by Jan Pazdziora
Modified: 2017-10-18 15:08 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-18 15:08:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2015-08-26 03:17:26 EDT
Document URL: 

https://docs.openshift.com/enterprise/3.0/admin_guide/configuring_authentication.html#RequestHeaderIdentityProvider

Section Number and Name: 

Apache Configuration, the example of the configuration

Describe the issue: 

    # For Kerberos remove "AuthType basic" and insert the following:
    # AuthType Kerberos
    # KrbMethodNegotiate on
    # KrbMethodK5Passwd off
    # KrbServiceName Any
    # KrbAuthRealms EXAMPLE.COM
    # Krb5Keytab /path/to/keytab
    # KrbSaveCredentials off

Suggestions for improvement: 

The use of AuthType Kerberos implies the use of mod_auth_kerb. In Fedoras and RHEL 7, mod_auth_gssapi is now available which is a replacement of no-longer-actively-maintained mod_auth_kerb. The AuthType Kerberos should be replaced by AuthType GSSAPI and the Krb* directives with some equivalent directives of mod_auth_gssapi.

Additional information:
Comment 2 Brenton Leanhardt 2015-09-15 15:46:43 EDT
This PR references mod_auth_gssapi: https://github.com/openshift/openshift-docs/pull/903

It will merge sometime before 3.0.2 is released.
Comment 4 Jan Pazdziora 2017-10-18 04:34:32 EDT
I confirm that https://docs.openshift.com/enterprise/3.0/admin_guide/configuring_authentication.html#RequestHeaderIdentityProvider today says

    # For Kerberos
    # yum install mod_auth_gssapi
    # AuthType GSSAPI
    # GssapiCredStore keytab:/etc/httpd.keytab

Why is this bugzilla tracked with ose-2.2.z ? flag and not just marked resolved in CURRENTRELEASE?
Comment 5 Brenton Leanhardt 2017-10-18 15:08:54 EDT
Hi Jan,

The docs team doesn't really use flags for tracking bugs as far as I know.  I'm going to close this bug if you say it's fixed.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.